Debian Bug report logs - #690868
Unable to proceed without setting a default gateway ("Unreachable gateway" error)

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Marcin Engelmann <mengelmann+debian@imagin.pl>

Date: Thu, 18 Oct 2012 17:39:02 UTC

Severity: normal

Tags: d-i

Found in version netcfg/1.98

Fixed in version netcfg/1.101

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690868; Package netcfg. (Thu, 18 Oct 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Engelmann <mengelmann+debian@imagin.pl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 18 Oct 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcin Engelmann <mengelmann+debian@imagin.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Unable to proceed without setting a default gateway ("Unreachable gateway" error)
Date: Thu, 18 Oct 2012 19:19:05 +0200
Package: netcfg
Version: 1.98
Severity: normal
Tags: d-i

Debian-installer images from http://ftp.debian.org/debian/dists/wheezy/main/installer-amd64/20120930+b1/

It is not possible to proceed with wheezy installation without setting
a default gateway. I'm getting always "Unreachable gateway" error.

Tried both interactive installer and preseed (setting netcfg/get_gateway=none).


-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-bpo.2-amd64 (SMP w/8 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690868; Package netcfg. (Sat, 20 Oct 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #8 received at 690868@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Marcin Engelmann <mengelmann+debian@imagin.pl>, 690868@bugs.debian.org
Subject: Re: Bug#690868: Unable to proceed without setting a default gateway ("Unreachable gateway" error)
Date: Sat, 20 Oct 2012 23:52:50 +0200
[Message part 1 (text/plain, inline)]
On Thu, Oct 18, 2012 at 07:19:05PM +0200, Marcin Engelmann wrote:
> Debian-installer images from http://ftp.debian.org/debian/dists/wheezy/main/installer-amd64/20120930+b1/
> 
> It is not possible to proceed with wheezy installation without setting
> a default gateway. I'm getting always "Unreachable gateway" error.
> 
> Tried both interactive installer and preseed (setting netcfg/get_gateway=none).

Please submit the installer's log file.

Thanks
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690868; Package netcfg. (Fri, 02 Nov 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 02 Nov 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #13 received at 690868@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Marcin Engelmann <mengelmann+debian@imagin.pl>
Cc: Philipp Kern <pkern@debian.org>, 690868@bugs.debian.org
Subject: Re: Bug#690868: Unable to proceed without setting a default gateway ("Unreachable gateway" error)
Date: Fri, 2 Nov 2012 20:10:32 +0100
[Message part 1 (text/plain, inline)]
Hi Marcin,

Philipp Kern <pkern@debian.org> (20/10/2012):
> On Thu, Oct 18, 2012 at 07:19:05PM +0200, Marcin Engelmann wrote:
> > Debian-installer images from
> > http://ftp.debian.org/debian/dists/wheezy/main/installer-amd64/20120930+b1/
> > 
> > It is not possible to proceed with wheezy installation without
> > setting a default gateway. I'm getting always "Unreachable
> > gateway" error.
> > 
> > Tried both interactive installer and preseed (setting
> > netcfg/get_gateway=none).
> 
> Please submit the installer's log file.
> 
> Thanks
> Philipp Kern

ping?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690868; Package netcfg. (Sat, 03 Nov 2012 20:33:06 GMT) Full text and rfc822 format available.

Message #16 received at 690868@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Marcin Engelmann <mengelmann+debian@imagin.pl>, 690868@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#690868: Unable to proceed without setting a default gateway ("Unreachable gateway" error)
Date: Sat, 3 Nov 2012 21:29:50 +0100
[Message part 1 (text/plain, inline)]
tag 690868 + pending
thanks

On Thu, Oct 18, 2012 at 07:19:05PM +0200, Marcin Engelmann wrote:
> It is not possible to proceed with wheezy installation without setting
> a default gateway. I'm getting always "Unreachable gateway" error.
> 
> Tried both interactive installer and preseed (setting netcfg/get_gateway=none).

Fixed in git.

Thanks
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 03 Nov 2012 20:33:07 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Sat, 03 Nov 2012 21:21:04 GMT) Full text and rfc822 format available.

Notification sent to Marcin Engelmann <mengelmann+debian@imagin.pl>:
Bug acknowledged by developer. (Sat, 03 Nov 2012 21:21:04 GMT) Full text and rfc822 format available.

Message #23 received at 690868-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 690868-close@bugs.debian.org
Subject: Bug#690868: fixed in netcfg 1.101
Date: Sat, 03 Nov 2012 21:17:39 +0000
Source: netcfg
Source-Version: 1.101

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690868@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Nov 2012 21:48:31 +0100
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.101
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 690868
Changes: 
 netcfg (1.101) unstable; urgency=low
 .
   * Skip reachability test for empty gateway. (Closes: #690868)
   * Obey netcfg/disable_dhcp for compatibility reasons and disable
     autoconfig. There's no need to break old preseeding scripts,
     as the intent is clear.
   * Add a debconf template for netcfg/disable_autoconfig and state
     that netcfg/disable_dhcp is deprecated.
Checksums-Sha1: 
 a4560591ca96b3c81976133195a3636fd470a609 1522 netcfg_1.101.dsc
 ab55d4c0c5eca314b7c4c7f4c5335c154603fb0c 749052 netcfg_1.101.tar.gz
 5dc86b172f65c7a64f4ae870b15527c03d43f734 419350 netcfg_1.101_amd64.udeb
 ff42f1d326584c44d76f8e4dfdf95b495fd0222c 329470 netcfg-static_1.101_amd64.udeb
Checksums-Sha256: 
 4712a22215d912729995f7df18767897f1dd8d0e6b67e97f580b60096d6db915 1522 netcfg_1.101.dsc
 d8e7c25a382662fea3058173df84d2ef162d9e7722db625fb8c8eefa5824b554 749052 netcfg_1.101.tar.gz
 2ca42540e14071b2fbeb50e5004d06fb8ecb4e23bac0d32ff031bdd03bcbe1f6 419350 netcfg_1.101_amd64.udeb
 58eb01fe932b57aaed6f21e661b819161f3a98443fe3bbf0414629801ddc253a 329470 netcfg-static_1.101_amd64.udeb
Files: 
 f0d95de64a93cb781d3ae162a44e5403 1522 debian-installer optional netcfg_1.101.dsc
 e772615fceb1642d5ce4b8be07bc960c 749052 debian-installer optional netcfg_1.101.tar.gz
 9de4d602f3bf468c6d30b6448da51fb6 419350 debian-installer optional netcfg_1.101_amd64.udeb
 e5d7ce44a0e2ed06cb6c9d0ea471857a 329470 debian-installer optional netcfg-static_1.101_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQlYM6AAoJEERuJUU10Fbssh4IAMikDilLcvwjc3FGpX6MuUIE
QR2N2SC0EJD6z3RH2SjfciWfH9klmIyniwpxJ6t15HGhIMi+OasDt4KosDGol5Sp
jru7ipc5THtlX0AON5sP5EzM7Ihy/Bz4t4CdXi4W585+X7w5cJPX9oxqgWpAdc0+
hODMfCq+5GucaJ+vATAwcjjFYbXg15aqAMIEWBgrpshV/nvvFY5jcoa0ACPAunAj
f6WkoNtive+mh9sAOeIIM9LwQOLWSY7O+hC4n1iGjTGl7pnXBbWEJ/OWR4lMJ+rH
qspRYUEFezlqUqE2TRuebdV10awMoMfpgIo2neUJ/6XsipLV78JcKVKgPMOixno=
=hYI/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Dec 2012 07:27:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:31:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.